/*!   GeneXus C# 16_0_9-140712 on 4/17/2024 13:25:56.42
*/
gx.evt.autoSkip = false;
gx.define('qrcode', false, function () {
   this.ServerClass =  "qrcode" ;
   this.PackageName =  "GeneXus.Programs" ;
   this.setObjectType("web");
   this.hasEnterEvent = false;
   this.skipOnEnter = false;
   this.autoRefresh = true;
   this.ajaxSecurityToken =  true ;
   this.SetStandaloneVars=function()
   {
   };
   this.e12g22_client=function()
   {
      return this.executeServerEvent("ENTER", true, null, false, false);
   };
   this.e13g22_client=function()
   {
      return this.executeServerEvent("CANCEL", true, null, false, false);
   };
   this.GXValidFnc = [];
   var GXValidFnc = this.GXValidFnc ;
   this.GXLastCtrlId =0;
   this.KNETQRCODE1Container = gx.uc.getNew(this, 2, 0, "", "KNETQRCODE1Container", "this", "KNETQRCODE1");
   var KNETQRCODE1Container = this.KNETQRCODE1Container;
   KNETQRCODE1Container.setC2ShowFunction(function(UC) { UC.(); });
   this.setUserControl(KNETQRCODE1Container);
   this.Events = {"e12g22_client": ["ENTER", true] ,"e13g22_client": ["CANCEL", true]};
   this.EvtParms["REFRESH"] = [[],[]];
   this.Initialize( );
});
gx.setParentObj(new qrcode());
